<?php


namespace App\Services\pay;

use App\Exception\custom\FundsException;
use App\Models\order\mysql\PlatformFunds;
use App\Models\order\mysql\PlatformFundsLog;

class FundsService
{
    /**
     * @param $data
     * @param int $channel
     * @param int $source_name
     * @param int $service_name
     * @throws FundsException
     * 渠道账户入账记录
     */
    public static function credit($data, $channel = 1, $source_name = 10, $service_name = 1) {

        $info = PlatformFunds::getMaster('*',
            ['channel'=>$channel, 'source_name'=>$source_name, 'service_name'=>$service_name]);
        if(empty($info)) {
            throw new FundsException(['cus' => 1]);
        }

        $cnt = PlatformFunds::update([
            'total_amount[+]'=>$data['amount'],
            'total_tip[+]'=>$data['tip'],
        ], ['platform_funds_id'=>$info['platform_funds_id']]);

        $l_cnt = PlatformFundsLog::insert([
            'platform_funds_id'=>$info['platform_funds_id'],
            'trade_id'=>$data['trade_id'],
            'third_order_id'=>$data['third_order_id'],
            'fund_type'=>1,
            'amount'=>$data['amount'],
            'tip'=>$data['tip'],
        ], ['rowCount' => true]);

        return $l_cnt && $cnt;
    }

    /**
     * @param $data
     * @param int $channel
     * @param int $source_name
     * @param int $service_name
     * @throws FundsException
     * 渠道账户出账
     */
    public static function payOut($data, $channel = 1, $source_name = 10, $service_name = 1) {

        $info = PlatformFunds::getMaster('*',
            ['channel'=>$channel, 'source_name'=>$source_name, 'service_name'=>$service_name]);
        if(empty($info)) {
            throw new FundsException(['cus'=>1]);
        }

        $cnt = true;
        $cnt = $cnt && PlatformFunds::update([
            'total_amount[-]'=>$data['amount'],
            'total_tip[-]'=>$data['tip'],
        ], ['platform_funds_id'=>$info['platform_funds_id']]);

        $cnt = $cnt && PlatformFundsLog::insert([
            'platform_funds_id'=>$info['platform_funds_id'],
            'trade_id'=>$data['order_id'],
            'third_order_id'=>$data['third_id'],
            'fund_type'=>2,
            'amount'=>$data['amount'],
            'tip'=>$data['tip'],
        ], ['rowCount' => true]);

        return $cnt;
    }
}