<?php


namespace App\Services\pay;

use App\Exception\custom\FundsException;
use App\Models\order\mysql\PlatformAccount;
use App\Models\order\mysql\PlatformAccountLog;

class PlatformAccountService
{
    /**
     * @param $data
     * @param int $channel
     * @param int $source_name
     * @param int $service_name
     * @throws FundsException
     * 渠道账户入账记录
     */
    public static function credit($data, $source_name = 10, $service_name = 1) {

        $info = PlatformAccount::getMaster('*',
            ['source_name'=>$source_name, 'service_name'=>$service_name]);
        if(empty($info)) {
            throw new FundsException(['cus'=>1]);
        }

        $cnt = true;
        $cnt = $cnt && PlatformAccount::update([
            'receivable_amount[+]'=>$data['amount']
        ], ['platform_funds_id'=>$info['platform_funds_id']]);

        $cnt = $cnt && PlatformAccountLog::insert([
            'platform_account_id'=>$info['platform_account_id'],
            'trade_id'=>$data['trade_id'],
            'fund_type'=>1,
            'amount'=>$data['amount']
        ], ['rowCount' => true]);

        return $cnt;
    }

}