
-- 收银台二期
-- 增加字段  pay_order.pay_discount + pay_order.pay_amount = order_info.payment
ALTER TABLE `pay_order` ADD `pay_discount` INT  NOT NULL  DEFAULT '0'  COMMENT '抵扣金额，单位分'  AFTER `pay_amount`;
-- 初始化数据
update pay_order set pay_discount = 0;

-- 核销/确认收货表
CREATE TABLE `write_off_order` (
  `write_off_order_id` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'ID',
  `user_id` bigint unsigned NOT NULL DEFAULT '0' COMMENT 'buyerId',
  `order_id` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '订单id',
  `write_off_status` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '核销状态，0 未核销, 1待确认 , 2 已核销',
  `write_off_amount` int unsigned NOT NULL DEFAULT '0' COMMENT '核销金额，单位分',
  `notify_account_status` tinyint NOT NULL DEFAULT '0' COMMENT '通知账户系统状态，0未通知，1已通知',
  `notify_account_success_time` timestamp NULL DEFAULT NULL COMMENT '通知账户系统成功时间',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '添加时间',
  `source_name` tinyint NOT NULL DEFAULT '0' COMMENT '使用方名，1生活圈，2主端',
  `extra` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'extra额外自定义字段',
  PRIMARY KEY (`write_off_order_id`),
  KEY `idx_order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='核销订单表';

-- 平台渠道资金日志表
CREATE TABLE `platform_funds_log` (
  `funds_log_id` bigint NOT NULL DEFAULT '0' COMMENT '主键',
  `trade_id` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '支付订单、或退单ID',
  `third_order_id` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '支付唯一ID',
  `fund_type` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '1:入账，2:出账',
  `payment` int unsigned NOT NULL DEFAULT '0' COMMENT '支付金额,分',
  `amount` int unsigned NOT NULL DEFAULT '0' COMMENT '到账金额,分',
  `tip` int NOT NULL DEFAULT '0' COMMENT '手续费,分',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '添加时间',
  `source_name` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '使用方名，1生活圈，2主端',
  `service_name` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '服务名字，1生活圈优惠券，'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='平台资金日志表';

-- 平台渠道资金表 后期不建议会有频繁更新，并且不满足业务统计需求（按周、月、日）
CREATE TABLE `platform_account` (
  `platform_account_id` varchar(30) NOT NULL DEFAULT '' COMMENT '平台账户ID',
  `channel` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '支付渠道类型，1 pingxx',
  `source_name` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '使用方名，1生活圈，2主端',
  `service_name` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '服务名字，1生活圈优惠券',
  `total_amount` int unsigned NOT NULL DEFAULT '0' COMMENT '金额',
  `total_tip` int unsigned NOT NULL DEFAULT '0' COMMENT '手续费金额',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '添加时间',
  PRIMARY KEY (`platform_account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='平台渠道账户表';


CREATE TABLE `marketing_account` (
  `marketing_account_id` varchar(30) NOT NULL DEFAULT '' COMMENT '账户ID',
  `source_name` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '使用方名，1生活圈，2主端',
  `service_name` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '服务名字，1生活圈优惠券，',
  `frozen_amount` int unsigned NOT NULL DEFAULT '0' COMMENT '冻结金额',
  `receivable_amount` int unsigned NOT NULL DEFAULT '0' COMMENT '可用金额',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '添加时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`marketing_account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='营销账户表';

CREATE TABLE `marketing_account_log` (
  `log_id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `marketing_account_id` varchar(30) NOT NULL DEFAULT '' COMMENT '账户ID',
  `marketing_id` varchar(30) NOT NULL DEFAULT '' COMMENT '活动ID',
  `fund_type` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '1: 营销冻结 2. 营销出款 3. 营销退款 4. 营销充值 5. 营销划拨',
  `trade_id` varchar(30) NOT NULL DEFAULT '' COMMENT '业务ID',
  `trade_type` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '1: 订单ID 2. 订单ID 3. 退单ID 4. 充值ID 5. 划拨ID',
  `amount` int unsigned NOT NULL DEFAULT '0' COMMENT '资金额',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '添加时间',
  PRIMARY KEY (`log_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='营销消费记录表';

CREATE TABLE `marketing_account_map` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `marketing_account_id` varchar(30) NOT NULL DEFAULT '' COMMENT '账户ID',
  `marketing_id` varchar(30) NOT NULL DEFAULT '' COMMENT '活动ID',
  `source_name` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '使用方名，1生活圈，2主端',
  `service_name` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '服务名字，1生活圈优惠券，',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='营销账户活动表';



